Do not update insecure navigations set in non-Document contexts

This will fix crashes that
https://chromium-review.googlesource.com/c/chromium/src/+/1139074
would cause, by preventing WorkerOrWorkletGlobalScope::Url() access
during WorkerGlobalScope initialization.

Tests: external/wpt/upgrade-insecure-requests/
Bug: 861564, 878274
Change-Id: I21c3e435784640ba7baae803b0edfac290ed5366
Reviewed-on: https://chromium-review.googlesource.com/c/1457457
Reviewed-by: Hiroki Nakagawa <nhiroki@chromium.org>
Reviewed-by: Mike West <mkwst@chromium.org>
Commit-Queue: Hiroshige Hayashizaki <hiroshige@chromium.org>
Cr-Commit-Position: refs/heads/master@{#631847}
2 files changed